# QColorDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QColorDialog(QWidget parent)
- void QColorDialog(QColor initial, QWidget parent)

### Constructor Properties

- prototype: The QColorDialog prototype object
- unsigned int customColor(int index)
- int customCount()
- QColor getColor(QColor initial, QWidget parent)
- void setCustomColor(int index, unsigned int color)
- void setStandardColor(int index, unsigned int color)
- ShowAlphaChannel = 0x00000001
- NoButtons = 0x00000002
- DontUseNativeDialog = 0x00000004
- ColorDialogOption( value )
- ColorDialogOptions( value1, value2, ... )

### Prototype Object Properties

The QColorDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- void open(QObject receiver, char member)
- QColor selectedColor()
- void setCurrentColor(QColor color)
- void setOption(ColorDialogOption option, bool on)
- bool testOption(ColorDialogOption option)

### Instance Properties

QColorDialog objects inherit properties from the QColorDialog prototype object and also have the following properties.

- currentColor
- options